@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  h1 {
    @apply text-2xl;
  }
  h2 {
    @apply text-xl;
  }
  h3 {
    @apply text-lg;
  }
  h4 {
    @apply font-bold;
  }
  h5 {
    @apply font-bold;
  }
  h6 {
    @apply font-bold;
  }
  a {
    @apply underline;
  }
  ul {
    @apply list-disc list-inside;
  }
  ol {
    @apply list-decimal list-inside;
  }
  .prose blockquote {
    @apply flex before:border-l-[3px] before:border-solid before:border-current before:px-1;
  }
  pre {
    @apply font-mono bg-stone-200 text-black p-1;
  }
  code {
    @apply font-mono bg-stone-200 text-black p-1 rounded;
  }
}